Skip to content
Start here

Scrape elements.

client.browserRendering.scrape.create(ScrapeCreateParamsparams, RequestOptionsoptions?): ScrapeCreateResponse { results, selector }
POST/accounts/{account_id}/browser-rendering/scrape

Get meta attributes like height, width, text and others of selected elements.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering Write
ParametersExpand Collapse
ScrapeCreateParams = Variant0 | Variant1
ScrapeCreateParamsBase
Variant0 extends ScrapeCreateParamsBase
Variant1 extends ScrapeCreateParamsBase
ReturnsExpand Collapse
ScrapeCreateResponse = Array<ScrapeCreateResponseItem>
results: Results { attributes, height, html, 4 more }
attributes: Array<Attribute>
name: string

Attribute name.

value: string

Attribute value.

height: number

Element height.

html: string

HTML content.

left: number

Element left.

text: string

Text content.

top: number

Element top.

width: number

Element width.

selector: string

Selector.

Scrape elements.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const scrapes = await client.browserRendering.scrape.create({
  account_id: 'account_id',
  elements: [{ selector: 'h1' }],
  html: '<h1>Hello World!</h1>',
});

console.log(scrapes);
{
  "result": [
    {
      "results": {
        "attributes": [
          {
            "name": "name",
            "value": "value"
          }
        ],
        "height": 0,
        "html": "html",
        "left": 0,
        "text": "text",
        "top": 0,
        "width": 0
      },
      "selector": "selector"
    }
  ],
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
{
  "errors": [
    {
      "code": 2001,
      "message": "Rate limit exceeded"
    }
  ],
  "success": false
}
Returns Examples
{
  "result": [
    {
      "results": {
        "attributes": [
          {
            "name": "name",
            "value": "value"
          }
        ],
        "height": 0,
        "html": "html",
        "left": 0,
        "text": "text",
        "top": 0,
        "width": 0
      },
      "selector": "selector"
    }
  ],
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
{
  "errors": [
    {
      "code": 2001,
      "message": "Rate limit exceeded"
    }
  ],
  "success": false
}